summaryrefslogtreecommitdiff
path: root/athena-start
diff options
context:
space:
mode:
authorultramage <ultramage@54d463be-8e91-2dee-dedb-b68131a5f0ec>2007-09-01 09:40:12 +0000
committerultramage <ultramage@54d463be-8e91-2dee-dedb-b68131a5f0ec>2007-09-01 09:40:12 +0000
commit366e7bf28c3f99c330dad67a63c7bf00b6443092 (patch)
tree5ade565044d3147903585c864e5ab9c350e95a7c /athena-start
parentde180195823a91544c99c7ef0f7c12ad05d07a60 (diff)
downloadhercules-366e7bf28c3f99c330dad67a63c7bf00b6443092.tar.gz
hercules-366e7bf28c3f99c330dad67a63c7bf00b6443092.tar.bz2
hercules-366e7bf28c3f99c330dad67a63c7bf00b6443092.tar.xz
hercules-366e7bf28c3f99c330dad67a63c7bf00b6443092.zip
eol-style for the startup scripts and batch files
git-svn-id: https://rathena.svn.sourceforge.net/svnroot/rathena/trunk@11104 54d463be-8e91-2dee-dedb-b68131a5f0ec
Diffstat (limited to 'athena-start')
-rw-r--r--athena-start148
1 files changed, 74 insertions, 74 deletions
diff --git a/athena-start b/athena-start
index e9d3865f1..742145604 100644
--- a/athena-start
+++ b/athena-start
@@ -1,74 +1,74 @@
-#!/bin/sh
-# athena starting script by rowla
-# modified by shazeya@syafi.com (NL101541)
-
-PATH=./:$PATH
-
-L_SRV=login-server_sql
-C_SRV=char-server_sql
-M_SRV=map-server_sql
-
-print_start() {
-# more << EOF
-echo "Athena Starting..."
-echo " (c) 2003 Athena Project"
-echo " modified by shazeya@syafi.com"
-echo ""
-#echo "Debug informations will appear,"
-#echo "since this is a test release."
-#echo ""
-echo "checking..."
-#EOF
-}
-
-#check_account() {
-# if [ ! -f ./save/account.txt ]; then
-# echo "0 s1 p1 - S 0" > save/account.txt
-# echo "1 s2 p2 - S 0" >>save/account.txt
-# echo "2 s3 p3 - S 0" >>save/account.txt
-# echo "3 s4 p4 - S 0" >>save/account.txt
-# echo "4 s5 p5 - S 0" >>save/account.txt
-# fi
-#}
-
-check_files() {
-
- for i in ${L_SRV} ${C_SRV} ${M_SRV}
- do
- if [ ! -f ./$i ]; then
- echo "$i does not exist, or can't run."
- echo "Stop. Check your compile."
- exit 1;
- fi
- done
-
-# more << EOF
-echo "Check complete."
-echo "Looks good, a nice Athena!"
-#EOF
-}
-
-
-case $1 in
- 'start')
- print_start
-# check_account
- check_files
-
- exec ./${L_SRV}&
- exec ./${C_SRV}&
- exec ./${M_SRV}&
-
- echo "Now Started Athena."
-;;
- 'stop')
- ps ax | grep -E "${L_SRV}|${C_SRV}|${M_SRV}" | awk '{print $1}' | xargs kill -9
-;;
- 'restart')
- $0 stop
- $0 start
-;;
- *)
- echo "Usage: athena-start { start | stop | restart }"
-;;
-esac
+#!/bin/sh
+# athena starting script by rowla
+# modified by shazeya@syafi.com (NL101541)
+
+PATH=./:$PATH
+
+L_SRV=login-server_sql
+C_SRV=char-server_sql
+M_SRV=map-server_sql
+
+print_start() {
+# more << EOF
+echo "Athena Starting..."
+echo " (c) 2003 Athena Project"
+echo " modified by shazeya@syafi.com"
+echo ""
+#echo "Debug informations will appear,"
+#echo "since this is a test release."
+#echo ""
+echo "checking..."
+#EOF
+}
+
+#check_account() {
+# if [ ! -f ./save/account.txt ]; then
+# echo "0 s1 p1 - S 0" > save/account.txt
+# echo "1 s2 p2 - S 0" >>save/account.txt
+# echo "2 s3 p3 - S 0" >>save/account.txt
+# echo "3 s4 p4 - S 0" >>save/account.txt
+# echo "4 s5 p5 - S 0" >>save/account.txt
+# fi
+#}
+
+check_files() {
+
+ for i in ${L_SRV} ${C_SRV} ${M_SRV}
+ do
+ if [ ! -f ./$i ]; then
+ echo "$i does not exist, or can't run."
+ echo "Stop. Check your compile."
+ exit 1;
+ fi
+ done
+
+# more << EOF
+echo "Check complete."
+echo "Looks good, a nice Athena!"
+#EOF
+}
+
+
+case $1 in
+ 'start')
+ print_start
+# check_account
+ check_files
+
+ exec ./${L_SRV}&
+ exec ./${C_SRV}&
+ exec ./${M_SRV}&
+
+ echo "Now Started Athena."
+;;
+ 'stop')
+ ps ax | grep -E "${L_SRV}|${C_SRV}|${M_SRV}" | awk '{print $1}' | xargs kill -9
+;;
+ 'restart')
+ $0 stop
+ $0 start
+;;
+ *)
+ echo "Usage: athena-start { start | stop | restart }"
+;;
+esac